<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="ISO-8859-1">
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
	crossorigin="anonymous">
<title>User Registration Form</title>
<style>
	.form-label{
		float:left;
		font-weight:bold;
	}
	.form{
		width:500px;
	}
	.btn{
		width:100px;
		float:left;
	}
</style>
</head>
<body>
<div class="container-fluid" >
        
        
    <nav class="navbar navbar-expand-md  navbar-dark bg-dark " >
        <button class="navbar-toggler " data-bs-toggle="collapse" data-bs-target="#hamburger">
            <span class="navbar-toggler-icon "></span>
        </button>
       
       
        <div class="collapse navbar-collapse pt-1 pb-1" id="hamburger">
      
            <ul class="navbar-nav ms-auto pt-1 pb-1" >
               	<div> <h4 style="color:white;"> Registration </h4></div>
               		
	                <li class="nav-item " ><a href="#" class="nav-link"></a></li>
	                <li class="nav-item "><a href="#" class="nav-link"></a></li>
	                <li class="nav-item "><a href="#" class="nav-link "></a></li>
               
            </ul>
        </div>
    </nav>
    </div>
    
    <!-- Registration starts here -->
    
    <div class="row">
		

	<div class="container" style="margin-top:50px;">
	<div align="center"> 
			<div th:if="${param.success}">
				<div class="alert alert-info">You've successfully registered</div>
		
			</div>
			
			<form class="form" action="#" th:action="@{/register}" th:object="${user}" method="POST">
				<h1 align="left"> Registration </h1> 
				<div class="mb-3">
			    <label class="form-label">First Name</label>
			    	<input type="text" th:field="*{firstName}" class="form-control" placeholder="First Name" required minlength="2" maxlength="20" autofocus="autofocus">
			  	</div>
			  	<div class="mb-3">
			    <label class="form-label">Last Name</label>
			    	<input type="text" th:field="*{lastName}" class="form-control" placeholder="Last name" required minlength="2" maxlength="20" autofocus="autofocus">
			  	</div>
			  	<div class="mb-3">
			    <label class="form-label">Phone Number</label>
			    	<input type="tel" th:field="*{mobile}" class="form-control" placeholder="123-456-7890"  pattern="[0-9]{3}-[0-9]{3}-[0-9]{4}" required  autofocus="autofocus">
			  	</div>
			  <div class="mb-3">
			    <label class="form-label">Email address</label>
			    <input type="email" th:field="*{email}" class="form-control" placeholder="Email" required autofocus="autofocus">
			  </div>
			  <div class="mb-3">
			    <label  class="form-label">Password</label>
			    <input type="password" th:field="*{password}" class="form-control" placeholder="Password" required minlength="6" maxlength="10" autofocus="autofocus">
			  </div>
			  <button type="submit" class="btn btn-dark">Register</button>
			  <span> Already registered? <a href="login">Login here</a></span>
		</form>
	
	
	</div>
	</div>
	</div>
</body>
</html>
